// GaugeDoc.h : interface of the CGaugeDoc class
//
/////////////////////////////////////////////////////////////////////////////

class CGaugeDoc : public CDocument
{
protected: // create from serialization only
	BOOL FormatMM(int i, int& iLast, CString& s);
	BOOL FormatInches(int i, int& iLast, CString &s);
	CGaugeDoc();
	DECLARE_DYNCREATE(CGaugeDoc)

// Attributes
public:

// Operations
public:
	int m_iIn,m_iMM,m_iIn2,m_iMM2;
	CString m_sIN,m_sMM,m_sIN2,m_sMM2;

	void ReadCom(void);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGaugeDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGaugeDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	HANDLE m_hComm;
	CString m_sComPort;
	CString m_sComPortError;
	int m_iComState;
	BOOL m_bShowComPortError;
	int m_iAbs,m_iZero;
	HWND m_hwndPaste;

	void OpenPort(void);

// Generated message map functions
protected:
	//{{AFX_MSG(CGaugeDoc)
	afx_msg void OnZero();
	afx_msg void OnPaste();
	afx_msg void OnOptionsComport();
	afx_msg void OnOptionsPaste();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
