// PasteSettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Gauge.h"
#include "PasteSettingsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPasteSettingsDlg dialog


CPasteSettingsDlg::CPasteSettingsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPasteSettingsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPasteSettingsDlg)
	m_iPasteValue = 0;
	m_iAddKey = 0;
	m_iProcTime = _T("1000");
	m_bRestoreFocus = TRUE;
	//}}AFX_DATA_INIT
}


void CPasteSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPasteSettingsDlg)
	DDX_Control(pDX, IDC_WINDOW_LIST, m_lbWindow);
	DDX_Radio(pDX, IDC_IN_GAUGE, m_iPasteValue);
	DDX_Radio(pDX, IDC_ADD_KEY, m_iAddKey);
	DDX_Text(pDX, IDC_PROC_TIME, m_iProcTime);
	DDX_Check(pDX, IDC_RST_FOCUS, m_bRestoreFocus);
	//}}AFX_DATA_MAP
	if(pDX->m_bSaveAndValidate) {
		const int i=m_lbWindow.GetCurSel();
		if(i==LB_ERR)
			m_hwnd=NULL;
		else
			m_hwnd=(HWND)m_lbWindow.GetItemData(i);
	}
}


BEGIN_MESSAGE_MAP(CPasteSettingsDlg, CDialog)
	//{{AFX_MSG_MAP(CPasteSettingsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPasteSettingsDlg message handlers

BOOL CPasteSettingsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	::EnumWindows(EnumWindowsProc,(LPARAM)this);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CALLBACK CPasteSettingsDlg::EnumWindowsProc(HWND hwnd,LPARAM lParam)
{
	return ((CPasteSettingsDlg*)lParam)->EnumWindowsProc(hwnd);
}


BOOL CPasteSettingsDlg::EnumWindowsProc(HWND hwnd)
{
	CWnd* wnd=CWnd::FromHandle(hwnd);

	//const DWORD dwDesiredStyle = WS_VISIBLE | WS_CLIPSIBLINGS | WS_CAPTION | WS_SYSMENU | WS_GROUP;
	const DWORD dwDesiredStyle = WS_VISIBLE | WS_CAPTION;
	DWORD dwStyle=wnd->GetStyle();
	if((dwStyle & dwDesiredStyle) == dwDesiredStyle) {
		CString s;
		wnd->GetWindowText(s);
#if 0
		CString ss;
		ss.Format("%08X %s",dwStyle,s);
		TRACE1("%s\n",(LPCSTR)ss);
#endif
		const int i=m_lbWindow.AddString(s);
		if(i!=LB_ERR && i!=LB_ERRSPACE)
			m_lbWindow.SetItemData(i,(DWORD)hwnd);
	}

	return TRUE;
}
